<template>
  <div>
    <v-card class="mx-auto" max-width="100%" outlined>
      <v-list-item three-line>
        <v-list-item-content>
          <div class="overline mb-4">{{ product.product_name }}</div>
          <v-list-item-title class="headline mb-1">{{ product.created_at }}</v-list-item-title>
          <v-list-item-subtitle>{{ product.product_description }}</v-list-item-subtitle>
        </v-list-item-content>

        <v-list-item-avatar tile size="80" color="grey"></v-list-item-avatar>
      </v-list-item>

      <v-card-actions>
        <v-btn text co @click="edit=!edit">UPDATE</v-btn>
        <v-btn text>DELETE</v-btn>
      </v-card-actions>
    </v-card>
    <v-card class="mx-auto" max-width="100%" v-if="edit">
      <v-list-item three-line>
        <v-list-item-content>
          <v-form>
            <v-container>
              <v-col cols="12">
                <v-text-field v-model="product.product_name" label="product name" required></v-text-field>
              </v-col>

              <v-col cols="12">
                <v-text-field v-model="product.product_description" label="discriotion" required></v-text-field>
              </v-col>
            </v-container>
            <v-btn @click="updateProduct()">UPDATE</v-btn>
          </v-form>
        </v-list-item-content>

        <v-list-item-avatar tile size="80" color="grey"></v-list-item-avatar>
      </v-list-item>
    </v-card>
  </div>
</template>

<script>
export default {
  data() {
    return {
      edit: false
    };
  },
  props: ['product'],
  methods:{
    updateProduct(){
      this.$store.commit('updateProductProductModule' ,this.product)
    }
  }
};
</script>

<style>
</style>